{ pkgs }:
pkgs.rustPlatform.buildRustPackage rec {
  pname = "pads";
  version = "89d69d4b9b199e08671c947120d5b2e1b6295d68";

  src = pkgs.fetchFromGitHub {
    owner = "dogue";
    repo = pname;
    rev = version;
    sha256 = "sha256-vVmEKvRSBiHv4skh2/B6cl17jVsgRI0IJeSgpSpPPTE=";
  };

  cargoLock = { lockFile = "${src}/Cargo.lock"; };

  nativeBuildInputs = [ pkgs.pkg-config ];
  buildInputs = [ pkgs.libpulseaudio ];

  meta = {
    description =
      "A simple CLI tool for swtiching the default/active output device for PulseAudio.";
    homepage = "https://github.com/dogue/pads";
  };
}
